package com.xxh.cloud.healthy.behavior.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PatientBehaviorQueryDTO {

    @ApiModelProperty(value = "编号")
    private String id;

    @ApiModelProperty(value = "患者id")
    private String patientId;

    @ApiModelProperty(value = "患者ids")
    private List<String> patientIds;

    @ApiModelProperty(value = "用户id")
    private String userId;

    @ApiModelProperty(value = "用户ids")
    private List<String> userIds;

    @ApiModelProperty(value = "操作类型[阅读、阅读时长、感兴趣、已知晓、挂号、在线问诊、就诊]")
    private String operatedType;

}
