package com.xxh.cloud.healthy.behavior.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

@Getter
@Setter
public class PatientBehaviorUploadDTO {

    // @ApiModelProperty(value = "加密数据")
    // private String secureData;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "媒体数类型D", required = true)
    @NotEmpty(message = "媒体数类型D[mediaType]不能为空")
    private String mediaType;

    @ApiModelProperty(value = "媒体数据ID", required = true)
    @NotEmpty(message = "媒体数据ID[mediaId]不能为空")
    private String mediaId;

    @ApiModelProperty(value = "数据来源", required = true)
    @NotEmpty(message = "数据来源[sourceData]不能为空")
    private String sourceData;

    @ApiModelProperty(value = "操作类型[PatientOperatedTypeEnum]", required = true)
    @NotEmpty(message = "操作类型[operatedType]不能为空")
    private String operatedType;

    @ApiModelProperty(value = "操作时长")
    private Integer operatedDuration;

    @ApiModelProperty(value = "自定义操作内容")
    private String operatedContent;

    @ApiModelProperty("ip")
    private String ip;
    
    @ApiModelProperty("ua")
    private String ua;
    
}
