package com.xxh.cloud.healthy.behavior.client.api.constant;

/**
 * 用户行为数据来源类型枚举
 */
public class BehaviorSourceTypeConstant {

    public enum ContentTypeEnum {

        Article("article","文章"),
        Scale("scale","量表"),

        ;

        private String code;
        private String msg;
        private ContentTypeEnum(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public String getMsg() {
            return msg;
        }

    }

    public enum SourceOneTypeEnum {

        Schedule("schedule","日程"),
        Remind("remind","提醒"),

        ;

        private String code;
        private String msg;
        private SourceOneTypeEnum(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public String getMsg() {
            return msg;
        }

    }

    public enum SourceTwoTypeEnum {

        PatientPushServe("patient_push_serve","患者推送服务"),

        ;

        private String code;
        private String msg;
        private SourceTwoTypeEnum(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public String getMsg() {
            return msg;
        }

    }

    public enum SourceThreeTypeEnum {

        PushServeConfig("push_serve_config","推送服务配置"),

        ;

        private String code;
        private String msg;
        private SourceThreeTypeEnum(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public String getMsg() {
            return msg;
        }

    }

}

