package com.xxh.cloud.healthy.behavior.client.api.util;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.xxh.cloud.healthy.behavior.client.api.bean.bo.PatientBehaviorSecureBO;

import cn.hutool.core.codec.Base64;
import cn.hutool.crypto.SecureUtil;

public class BehaviorSecureUtil {

    private static String secureKey = "ug7EJYvHbJZwpv9a";
    
    public static String encryptData(String data) {
        return SecureUtil.aes(secureKey.getBytes()).encryptBase64(JSON.toJSONString(data));
    }

    public static String decryptDataStr(String secureData) {
        return SecureUtil.aes(secureKey.getBytes()).decryptStr(secureData);
    }

    public static String encryptData(PatientBehaviorSecureBO data) {
        return SecureUtil.aes(secureKey.getBytes()).encryptBase64(JSON.toJSONString(data));
    }

    public static PatientBehaviorSecureBO decryptData(String secureData) {
        String data = SecureUtil.aes(secureKey.getBytes()).decryptStr(secureData);
        return JSONObject.parseObject(data, PatientBehaviorSecureBO.class);
    }

    // 媒体id与类型整合成一个字符串
    public static String mergeSourceData(String sourceType, String sourceId) {
        return sourceType + "-" + sourceId;
    }

    // 把媒体数据拆分为媒体类型和媒体id
    public static String[] decomposeSourceData(String sourceData) {
        return sourceData.split("-");
    }

    public static void main(String[] args) {
        String str = "a_PPS1721180801649627136-r_PPS1721180801649627136";

        String data = encryptData(str);
        System.out.println(data);

        String base64 = Base64.encode(data);
        System.out.println(base64);

        System.out.println(Base64.decodeStr(base64, "utf-8"));

        System.out.println(decryptDataStr(data));
    }
}
