package com.xxh.cloud.healthy.behavior.framework.modules.biz.helper;

import com.xxh.cloud.healthy.behavior.framework.modules.bean.entity.PatientBehaviorInfo;
import com.xxh.cloud.healthy.behavior.framework.modules.biz.bean.vo.PatientBehaviorVO;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;

// zs:20231023
public class PatientBehaviorHelper {

    public static String getPatientBehaviorInfoId(){
        return StrUtil.format("PB{}", IdUtil.getSnowflake(5,6).nextIdStr());
    }

    public static PatientBehaviorVO getPatientBehaviorVO(PatientBehaviorInfo entity) {
        PatientBehaviorVO vo = new PatientBehaviorVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

}
