package com.xxh.cloud.healthy.behavior.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.framework.common.user.LoginUser;
import com.xxh.cloud.healthy.behavior.framework.modules.biz.bean.dto.PatientBehaviorAddDTO;
import com.xxh.cloud.healthy.behavior.framework.modules.biz.bean.dto.PatientBehaviorUploadDTO;
import com.xxh.cloud.healthy.behavior.framework.modules.biz.bean.vo.PatientBehaviorBaseVO;
import com.xxh.cloud.healthy.behavior.framework.modules.biz.bean.vo.PatientBehaviorVO;

public interface PatientBehaviorBizService {
    
    // 上报
    PatientBehaviorBaseVO upload(PatientBehaviorUploadDTO params, LoginUser user);

    // 保存
    PatientBehaviorVO add(PatientBehaviorAddDTO params);

    // 批量保存
    void addBatch(List<PatientBehaviorAddDTO> params);

}
